<ngx-loading [show]="isLoadingCreate$ | async" />

<section class="form-request-dataset">
  <form
    class="form"
    [formGroup]="myForm"
    (ngSubmit)="onSubmit()"
    (keydown.enter)="$event.stopPropagation()"
  >
    <div [ngClass]="jds.card">
      <div [ngClass]="[jds.cardHeader, jds.borderBottom(0)]">
        <h5 [ngClass]="[jds.cardTitle, jds.text('primary')]">Identitas</h5>
      </div>
      <div [ngClass]="[jds.cardBody]">
        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">Nama</label>
          <input
            [colorScheme]="colorScheme"
            jdsBiInput
            type="text"
            placeholder="Masukan nama"
            formControlName="nama"
            readonly
          />
        </div>

        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">Email</label>
          <input
            [colorScheme]="colorScheme"
            jdsBiInput
            type="text"
            placeholder="Masukan email"
            formControlName="email"
            readonly
          />
        </div>

        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">
            Nomor Telepon
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <input
            [colorScheme]="colorScheme"
            jdsBiInput
            type="text"
            placeholder="Masukan nomor telepon"
            formControlName="telp"
          />
          <ng-container
            *ngIf="f.telp?.invalid && (f.telp?.dirty || f.telp?.touched)"
          >
            <div
              *ngIf="f.telp?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
            <div
              *ngIf="f.telp?.errors.maxlength"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Panjang maksimal 255 karakter.
            </div>
          </ng-container>
        </div>
      </div>

      <div [ngClass]="[jds.cardHeader, jds.borderTop(1), jds.borderBottom(0)]">
        <h5 [ngClass]="[jds.cardTitle, jds.text('primary')]">
          Informasi Kebutuhan Dataset
        </h5>
      </div>

      <div [ngClass]="[jds.cardBody]">
        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">
            Judul dataset yang dimohon
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <input
            [colorScheme]="colorScheme"
            jdsBiInput
            type="text"
            placeholder="Masukan judul"
            formControlName="judul_data"
          />
          <ng-container
            *ngIf="
              f.judul_data?.invalid &&
              (f.judul_data?.dirty || f.judul_data?.touched)
            "
          >
            <div
              *ngIf="f.judul_data?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
            <div
              *ngIf="f.judul_data?.errors.maxlength"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Panjang maksimal 255 karakter.
            </div>
          </ng-container>
        </div>

        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">
            Apakah Anda mengetahui OPD penghasil sumber dataset terkait?
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <div>
            <div [ngClass]="[jds.formCheck]">
              <input
                [ngClass]="[jds.formCheckInput]"
                (click)="onSelectedIsOrganization($event.target.value)"
                value="true"
                type="radio"
                formControlName="tau_skpd"
              />
              <label [ngClass]="[jds.formCheckLabel]"> Mengetahui </label>
            </div>
            <div [ngClass]="[jds.formCheck]">
              <input
                [ngClass]="[jds.formCheckInput]"
                (click)="onSelectedIsOrganization($event.target.value)"
                value="false"
                type="radio"
                formControlName="tau_skpd"
              />
              <label [ngClass]="[jds.formCheckLabel]"> Tidak mengetahui </label>
            </div>
          </div>
          <ng-container
            *ngIf="
              f.tau_skpd?.invalid && (f.tau_skpd?.dirty || f.tau_skpd?.touched)
            "
          >
            <div
              *ngIf="f.tau_skpd?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>

        <div
          *ngIf="isOrganization"
          [ngClass]="jds.mb(16)"
        >
          <label [ngClass]="jds.formLabel">
            OPD Penghasil Data
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <ng-select
            #organisasiSelect
            [items]="organizationData$ | async"
            bindValue="nama_skpd"
            bindLabel="nama_skpd"
            placeholder="Pilih OPD"
            formControlName="nama_skpd"
          />
          <ng-container
            *ngIf="
              f.nama_skpd?.invalid &&
              (f.nama_skpd?.dirty || f.nama_skpd?.touched)
            "
          >
            <div
              *ngIf="f.nama_skpd?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>

        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">
            Deskripsi kebutuhan dataset
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <textarea
            [colorScheme]="colorScheme"
            jdsBiInput
            placeholder="Tuliskan deskripsi dari kebutuhan dataset Anda"
            rows="5"
            formControlName="kebutuhan_data"
          ></textarea>
          <ng-container
            *ngIf="
              f.kebutuhan_data?.invalid &&
              (f.kebutuhan_data?.dirty || f.kebutuhan_data?.touched)
            "
          >
            <div
              *ngIf="f.kebutuhan_data?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
            <div
              *ngIf="f.kebutuhan_data?.errors.maxlength"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Panjang maksimal 255 karakter.
            </div>
          </ng-container>
        </div>

        <div [ngClass]="jds.mb(16)">
          <label [ngClass]="jds.formLabel">
            Tujuan penggunaan dataset
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <ng-select
            #purposeSelect
            [items]="purposeOption"
            placeholder="Pilih tujuan penggunaan dataset"
            formControlName="tujuan_data"
          />
          <ng-container
            *ngIf="
              f.tujuan_data?.invalid &&
              (f.tujuan_data?.dirty || f.tujuan_data?.touched)
            "
          >
            <div
              *ngIf="f.tujuan_data?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>

        <div [ngClass]="jds.textAlign('center')">
          <button
            [ngClass]="[jds.button, jds.buttonPrimary]"
            [disabled]="!myForm.valid"
            type="submit"
          >
            Kirim
          </button>
        </div>
      </div>
    </div>
  </form>
</section>
